"use strict";
Object.defineProperties(exports, { __esModule: { value: true }, [Symbol.toStringTag]: { value: "Module" } });
const _arrayMap = require("./_arrayMap.js");
const _baseIteratee = require("./_baseIteratee.js");
const _baseMap = require("./_baseMap.js");
const isArray = require("./isArray.js");
function map(collection, iteratee) {
  var func = isArray.default(collection) ? _arrayMap.default : _baseMap.default;
  return func(collection, _baseIteratee.default(iteratee));
}
exports.default = map;
